#
# Conditional build:
%bcond_without	opengl	# OpenGL-based visualizer
#
Summary:	WebP image codec libraries
Summary(pl.UTF-8):	Biblioteki do kodeka obrazów WebP
Name:		libwebp
Version:	0.5.1
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: http://downloads.webmproject.org/releases/webp/index.html
Source0:	http://downloads.webmproject.org/releases/webp/%{name}-%{version}.tar.gz
# Source0-md5:	3d7db92ebba5b4f679413d25c6040881
URL:		https://developers.google.com/speed/webp/
%{?with_opengl:BuildRequires:	OpenGL-devel}
%{?with_opengl:BuildRequires:	OpenGL-glut-devel}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	giflib-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:2.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WebP image codec libraries.

%description -l pl.UTF-8
Biblioteki do kodeka obrazów WebP.

%package devel
Summary:	Header files for WebP libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek WebP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for WebP libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek WebP.

%package static
Summary:	Static WebP libraries
Summary(pl.UTF-8):	Statyczne biblioteki WebP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static WebP libraries.

%description static -l pl.UTF-8
Statyczne biblioteki WebP.

%package progs
Summary:	WebP image codec tools
Summary(pl.UTF-8):	Narzędzia do kodeka obrazów WebP
Group:		Applications/Graphics
Requires:	%{name} = %{version}-%{release}

%description progs
WebP image codec tools.

%description progs -l pl.UTF-8
Narzędzia do kodeka obrazów WebP.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-libwebpdemux \
	--enable-libwebpextras \
	--enable-libwebpmux
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkgconfig
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libwebp*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS PATENTS README
%attr(755,root,root) %{_libdir}/libwebp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebp.so.6
%attr(755,root,root) %{_libdir}/libwebpdemux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebpdemux.so.2
%attr(755,root,root) %{_libdir}/libwebpextras.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebpextras.so.0
%attr(755,root,root) %{_libdir}/libwebpmux.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwebpmux.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwebp.so
%attr(755,root,root) %{_libdir}/libwebpdemux.so
%attr(755,root,root) %{_libdir}/libwebpextras.so
%attr(755,root,root) %{_libdir}/libwebpmux.so
%{_includedir}/webp
%{_pkgconfigdir}/libwebp.pc
%{_pkgconfigdir}/libwebpdemux.pc
%{_pkgconfigdir}/libwebpextras.pc
%{_pkgconfigdir}/libwebpmux.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libwebp.a
%{_libdir}/libwebpdemux.a
%{_libdir}/libwebpextras.a
%{_libdir}/libwebpmux.a

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cwebp
%attr(755,root,root) %{_bindir}/dwebp
%attr(755,root,root) %{_bindir}/gif2webp
%{?with_opengl:%attr(755,root,root) %{_bindir}/vwebp}
%attr(755,root,root) %{_bindir}/webpmux
%{_mandir}/man1/cwebp.1*
%{_mandir}/man1/dwebp.1*
%{_mandir}/man1/gif2webp.1*
%{?with_opengl:%{_mandir}/man1/vwebp.1*}
%{_mandir}/man1/webpmux.1*
%changelog
* Sun Aug 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libwebp.git;a=log;h=master

* Sun Aug 28 2016 Jakub Bogusz <qboosh@pld-linux.org> ab56e4c
- updated to 0.5.1

* Tue Dec 29 2015 Jakub Bogusz <qboosh@pld-linux.org> 859bd92
- updated to 0.5.0 (note: new soname)
- enable libwebpextras library

* Mon Nov 09 2015 Jakub Bogusz <qboosh@pld-linux.org> aa12ef5
- updated to 0.4.4

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7247806
- x32 rebuild
- release 2 (by relup.sh)

* Mon Oct 27 2014 Jakub Bogusz <qboosh@pld-linux.org> 7fd568c
- package vwebp(1) manual

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 2120c5d
- up to 0.4.2

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 8f99376
- release 2 (by relup.sh)

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> 6299a6a
- updated to 0.4.0 (note: new sonames)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 5d06b66
- release 2 (by relup.sh)

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 6b37c1c
- updated to 0.3.1

* Wed Apr 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 8a63738
- updated to 0.3.0
- added mux/demux libraries
- tools moved to -progs subpackage (they depend on external libraries)

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e84f1d5
- updated to 0.2.1 (security fixes)

* Wed Aug 22 2012 Elan Ruusamäe <glen@delfi.ee> 4a93dd2
- BR lt 2

* Tue Aug 21 2012 Jakub Bogusz <qboosh@pld-linux.org> d324e5d
- updated to 0.2.0 (new stable version; soname changed)

* Wed Aug 01 2012 Elan Ruusamäe <glen@delfi.ee> f160fa9
- up to 0.1.99

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> aab082c
- release 3

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9845316
- release 2

* Mon Sep 26 2011 Jakub Bogusz <qboosh@pld-linux.org> daa6d43
- updated to 0.1.3 (note: new soname)

* Sun Jun 05 2011 Jakub Bogusz <qboosh@pld-linux.org> dcf19e5
- new

